• This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn more.

"The board is currently being upgraded...."

Dodgeboard

Well-known member
#1
"The board is currently being upgraded. Check back later."

I know this message comes up normally when you are performing an an upgrade. But today, it just came up out of the blue. The last upgrade I performed was 1.0.4 over a week ago. Nothing has been done to it. How could this have occurred and how do I open the board back up?

EDIT: tried logging into the admincp and it wanted me to finalize the upgrade to 1.0.2. That's weird. Reuploading 1.0.4 files...
 

Dodgeboard

Well-known member
#2
Well, that didn't work. Reuploaded the files for 1.0.4 and it still wanted to start with the 1.0.2 upgrade, then got error:

Server Error

Mysqli statement execute error : Duplicate entry '1000270' for key 'PRIMARY'

HELP!
 
F

Floris

Guest
#4
Also .. if you use caching, turn it off .. disable it in config.php
make sure you raw load the data and not from a cache-
 
F

Floris

Guest
#6
Can you enable debug mode and run the upgrade again, see if it spits out a bigger error with more details?

If you upload 1.0.4 files and it shows 1.0.2 on the upgrade page, it really are the 1.0.2 files .

Try backing things up first of course, delete the data minus the dirs: internal_data/ and data/ and your config.php file. and upload the 1.0.4 files and try again?


Not sure.. I can ask. But in the meantime, how do I get the install completed so I can open the board?
UPGRADE, i hope, not install?

install = get rid of any existing data.
 

Brogan

XenForo moderator
Staff member
#11
Are you sure you're uploading the 1.0.4 upgrade package?

I would recommend downloading it once more from your customer area, unzipping it and FTPing it to your server.

Then try the install again.

It sounds as if your host has rolled back the server data and possibly the SQL database too.
Do you have any idea what they did?
 

Dodgeboard

Well-known member
#12
Host says they did nothing. Yet it happened overnight while I was sleeping, so either I was hacked or they are incorrect.

I redownloaded the 1.0.4 package and reuploaded it. Same thing. It wants to start off with upgrading to 1.0.2.
 

Mike

XenForo developer
Staff member
#13
I'm not sure how that'd happen spontaneously. It really does look like there some some sort of rollback on the server.

Regardless, I'm also not sure why upgrade log error is being triggered - it should be skipping the script if that's there. You should be able to remove the row with the version_id of 1000270 from the xf_upgrade_log table via phpMyAdmin and refresh to continue the upgrade. I would take a backup of your DB as well, mostly because this is a very strange issue and I'm not really sure the state of the files/DB.
 

Dodgeboard

Well-known member
#14
I removed the row with the version_id of 1000270 from the xf_upgrade_log table via phpMyAdmin, Mike and it looked as though it was going to complete the script. Then I got: Uh oh! The upgrade did not complete successfully. Please try again. Now I am back to:

1.jpg 2.jpg
 

Dodgeboard

Well-known member
#18
Mike asked me to upload the files again. He's pretty sure that I am not uploading the files correctly. Problem is, I'm POSITIVE that I am uploading ALL the 1.0.4 files, and overwriting the existing files. I've been doing this with vb and now XF for 7 years now. I am certain that something else is happening...just not sure what. Really don't know where else to turn.
 
F

Floris

Guest
#19
Ok, after uploading the files, go to the public_html dir, the xenforo files in there or a community/ dir or wherever they are, open a file that has a version number in it, and you can compare.